I upgraded mysql from 5.0.x to 5.1.x and while most appears to be running well, I can't get Sphinx to load. When I attempt to run the indexer or searchd, I get:

/usr/local/bin/indexer: /usr/lib/libmysqlclient.so.15: version `libmysqlclient_15' not found (required by /usr/local/bin/indexer)

Thinking the upgrade didn't run properly, I ran it again with the --force option. Recompiled Apache and PHP, and even recompiled Sphinx. No joy.

And libmysqlclient.so.15 IS in /usr/lib.

Any suggestions on where to look next?